### Method

# Gtk Window set_default_size

#### Declaration [src]

    void
    gtk_window_set_default_size (
      GtkWindow* window,
      int width,
      int height
    )

#### Description [src]

Sets the default size of a window.

If the window’s “natural” size (its size request) is larger than the default, the default will be ignored.

Unlike gtk_widget_set_size_request(), which sets a size request for a widget and thus would keep users from shrinking the window, this function only sets the initial size, just as if the user had resized the window themselves. Users can still shrink the window again as they normally would. Setting a default size of -1 means to use the “natural” default size (the size request of the window).

The default size of a window only affects the first time a window is shown; if a window is hidden and re-shown, it will remember the size it had prior to hiding, rather than using the default size.

Windows can’t actually be 0x0 in size, they must be at least 1x1, but passing 0 for `width` and `height` is OK, resulting in a 1x1 default size.

If you use this function to reestablish a previously saved window size, note that the appropriate size to save is the one returned by gtk_window_get_default_size(). Using the window allocation directly will not work in all circumstances and can lead to growing or shrinking windows.

#### Parameters

`width` | `int`
| Width in pixels, or -1 to unset the default width.
`height` | `int`
| Height in pixels, or -1 to unset the default height.